/* $Id: wd90c1x.h,v 1.2 1998/11/19 02:23:09 marcus Exp $
******************************************************************************
	Paradise wd90c1x register definitions
******************************************************************************

   Copyright (C) 1997 by Brian S. Julin, <bri@calyx.com>

   Permission is hereby granted, free of charge, to any person obtaining a
   copy of this software and associated documentation files (the "Software"),
   to deal in the Software without restriction, including without limitation
   the rights to use, copy, modify, merge, publish, distribute, sublicense,
   and/or sell copies of the Software, and to permit persons to whom the
   Software is furnished to do so, subject to the following conditions:

   The above copyright notice and this permission notice shall be included in
   all copies or substantial portions of the Software.

   THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
   IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
   FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.  IN NO EVENT SHALL
   THE AUTHOR(S) BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER
   IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
   CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
******************************************************************************
*/

/* MAINTAINER	Brian S. Julin, <bri@calyx.com> */

#ifndef _wd90c1x_h
#define _wd90c1x_h

#include "wd90c00.h"

/* New Registers */

#define WD_ATCDw 0x3C1    /* allows outw(0x3C0) 16-bit write access */

/* SEQ --  Additional Registers  */

        #define SEQ_UPSEQ_LOCK 0x06
                #define SR06_UNLOCK_UPSEQ 0x48
                #define SR06_LOCK_UPSEQ   0x0F

        #define SEQ_DISP_CONF 0x07
                #define SR07_MON_IS_TTL   0x01
                #define SR07_EGA_EMU      0x02
                #define SR07_6845_COMPAT  0x04
                #define SR07_COLOR_MODE   0x08
                #define SR07_SCRATCH_MASK 0xF0

        #define SEQ_SCRATCH2 0x08
        #define SEQ_SCRATCH3 0x09

        #define SEQ_FIFO_CTL 0x10
                #define SR10_DISAB_UNCHAIN 0x10
                #define SR10_DISAB_ADDR32  0x20
        #define SEQ_SYSTEM_CTL 0x11
                #define SR11_16BIT_REGS    0x01
                #define SR11_16BIT_ATC     0x02
                #define SR11_BUFF_WRITES   0x03
                #define SR11_BUS_MASK      0x18
                #define SR11_BUS_ISA       0x00 /* 10-12MHz */
                #define SR11_BUS_ISA_10M   0x08  
                #define SR11_BUS_SLOWEST   0x10  
                #define SR11_BUS_FAST      0x11 /* > 12 Mhz */
                #define SR11_TXT_ENHANCE   0x20
                #define SR11_DRY_RETRACE   0x40 
                #define SR11_RW_PRREGS     0x80

        #define SEQ_MISCO4 0x12
                #define SR12_TEXT_MMAP     0x01
                #define SR12_EMU_READABLE  0x02
                #define SR12_CLOCK_SEL_B3  0x04
                #define SR12_PIN1_DIAG     0x08
                #define SR12_PIN2_MASK     0x30
                #define SR12_PIN2_LOW      0x00
                #define SR12_PIN2_HI       0x10
                #define SR12_PIN2_DIAG     0x30
                #define SR12_NOBLINK_CURS  0x40
                #define SR12_EXT_SYNC_OFF  0x80

        #define SEQ_DRAM_TIMING 0x13
                #define SR13_RAS_MASK      0x03
                #define SR13_CAS_MASK      0x1C
                #define SR13_ZWS_MASK      0xC0

        #define SEQ_FB_CONTROL 0x14
                #define SR14_LFB_ADDR_MASK 0x0F
                #define SR14_LFB_ENAB_MASK 0x30
                #define SR14_PR0A_B8       0x40

        #define SEQ_PIN_CONTROL 0x15
                #define SR15_PIN1_MASK     0x07
                #define SR15_PIN2_MASK     0x38

/* CRT -- Additional Registers */

        /* MISCC3 -- Additional bits */
                #define CR30_LOCK_HERKY    0x02
                #define CR30_C000ROM_ENB   0x04
                #define CR30_NOROM_C600_FF 0x08
                #define CR30_HALF_PCLK     0x10
                #define CR30_6DOT_CHARS    0x20

        #define CRT_CHIPSIG1 0x31
        #define CRT_CHIPSIG2 0x32
        #define CRT_CHIPSIG3 0x33
        #define CRT_CHIPSIG4 0x34
        #define CRT_CHIPSIG5 0x35
        #define CRT_CHIPSIG6 0x36
        #define CRT_CHIPSIG7 0x37
        #define CRT_CHIPREV1 0x38
        #define CRT_CHIPREV2 0x39
        #define CRT_CHIPREV3 0x3A
        #define CRT_CHIPREV4 0x3B
        #define CRT_CHIPREV5 0x3C
        #define CRT_CHIPREV6 0x3D


/* GRC -- Additional Registers */



#endif /* defined _wd90c1x_h */





